> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.sellercenter.pe/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.sellercenter.pe/_mcp/server.

# Historial de un SKU

GET https://inretailqa.mysellercenter.com/sellercenter/api/v1/sku/{skuId}/historical

Historial de cambios del SKU (precio, stock, estado): quién lo cambió, cuándo (`date`), el tipo de cambio (`type`) y los valores antes y después (`oldSku`).

Reference: https://developers.sellercenter.pe/referencia-de-la-api/productos/historial-de-un-sku

## Authentication

- `Authorization` header (bearer token, required) — `accessToken` obtenido en **Login**. Dura 24 horas.

## Servers

- `https://inretailqa.mysellercenter.com/sellercenter/api/v1` (QA, default)
- `https://inretail.mysellercenter.com/sellercenter/api/v1` (PRD)

## Request

### Path parameters

- `skuId` (string, required) — Id del SKU.

### Query parameters

- `from` (string, optional) — Desde qué registro.
- `size` (string, optional) — Cantidad de registros.
- `sortBy` (string, optional) — Campo de orden.
- `sortOrder` (string, optional) — `asc` o `desc`.

## Response

### 200

Historial

- `list of SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItems`

## Types

### SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItems

- `id` (string, optional)
- `user` (SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsUser, optional)
- `date` (string, optional)
- `type` (string, optional)
- `oldSku` (SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsOldSku, optional)
- `newSku` (SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsNewSku, optional)

### SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsUser

- `id` (string, optional)
- `firstName` (string, optional)
- `lastName` (string, optional)
- `email` (string, optional)

### SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsOldSku

- `id` (string, optional)
- `productId` (string, optional)
- `skuName` (string, optional)
- `upc` (string, optional)
- `images` (any, optional)
- `skuSpecifications` (any, optional)
- `status` (any, optional)
- `inventory` (SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsOldSkuInventory, optional)
- `price` (SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsOldSkuPrice, optional)
- `dimension` (any, optional)
- `creationDate` (any, optional)
- `approvalDate` (any, optional)
- `rejectionDate` (any, optional)
- `obsoleteDate` (any, optional)
- `marketplaceStatus` (any, optional)

### SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsNewSku

- `id` (string, optional)
- `productId` (string, optional)
- `skuName` (string, optional)
- `upc` (string, optional)
- `images` (any, optional)
- `skuSpecifications` (any, optional)
- `status` (any, optional)
- `inventory` (SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsNewSkuInventory, optional)
- `price` (SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsNewSkuPrice, optional)
- `dimension` (any, optional)
- `creationDate` (any, optional)
- `approvalDate` (any, optional)
- `rejectionDate` (any, optional)
- `obsoleteDate` (any, optional)
- `marketplaceStatus` (any, optional)

### SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsOldSkuInventory

- `totalQuantity` (double, optional)
- `reservedQuantity` (double, optional)

### SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsOldSkuPrice

- `listPrice` (double, optional)
- `price` (double, optional)
- `priceValidUntil` (any, optional)
- `priceValidFrom` (any, optional)

### SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsNewSkuInventory

- `totalQuantity` (double, optional)
- `reservedQuantity` (double, optional)

### SkuSkuIdHistoricalGetResponsesContentApplicationJsonSchemaItemsNewSkuPrice

- `listPrice` (double, optional)
- `price` (double, optional)
- `priceValidUntil` (any, optional)
- `priceValidFrom` (any, optional)

## Examples

**Response**

```json
[
  {
    "id": "1793043428985",
    "user": {
      "id": "axPLaJ0BSpFDkBlyUd1H",
      "firstName": "Usuario",
      "lastName": "Seller",
      "email": "usuario@seller.com"
    },
    "date": "2026-10-26T14:37:10",
    "type": "INVENTORY",
    "oldSku": {
      "id": "1793043428985",
      "productId": "1793043428438",
      "skuName": "Zapatilla Prueba API QA Blanco 41",
      "upc": "434926251015",
      "inventory": {
        "totalQuantity": 0,
        "reservedQuantity": 0
      },
      "price": {
        "listPrice": 299.9,
        "price": 299.9
      }
    },
    "newSku": {
      "id": "1793043428985",
      "productId": "1793043428438",
      "skuName": "Zapatilla Prueba API QA Blanco 41",
      "upc": "434926251015",
      "inventory": {
        "totalQuantity": 5,
        "reservedQuantity": 0
      },
      "price": {
        "listPrice": 299.9,
        "price": 299.9
      }
    }
  }
]
```

**SDK Code**

```python Productos_historialDeUnSku_example
import requests

url = "https://inretailqa.mysellercenter.com/sellercenter/api/v1/sku/1793043428985/historical"

querystring = {"from":"0","size":"10","sortBy":"date","sortOrder":"desc"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Productos_historialDeUnSku_example
const url = 'https://inretailqa.mysellercenter.com/sellercenter/api/v1/sku/1793043428985/historical?from=0&size=10&sortBy=date&sortOrder=desc';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Productos_historialDeUnSku_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://inretailqa.mysellercenter.com/sellercenter/api/v1/sku/1793043428985/historical?from=0&size=10&sortBy=date&sortOrder=desc"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Productos_historialDeUnSku_example
require 'uri'
require 'net/http'

url = URI("https://inretailqa.mysellercenter.com/sellercenter/api/v1/sku/1793043428985/historical?from=0&size=10&sortBy=date&sortOrder=desc")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Productos_historialDeUnSku_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://inretailqa.mysellercenter.com/sellercenter/api/v1/sku/1793043428985/historical?from=0&size=10&sortBy=date&sortOrder=desc")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Productos_historialDeUnSku_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://inretailqa.mysellercenter.com/sellercenter/api/v1/sku/1793043428985/historical?from=0&size=10&sortBy=date&sortOrder=desc', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Productos_historialDeUnSku_example
using RestSharp;

var client = new RestClient("https://inretailqa.mysellercenter.com/sellercenter/api/v1/sku/1793043428985/historical?from=0&size=10&sortBy=date&sortOrder=desc");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Productos_historialDeUnSku_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://inretailqa.mysellercenter.com/sellercenter/api/v1/sku/1793043428985/historical?from=0&size=10&sortBy=date&sortOrder=desc")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```